"enable aexpr";

System.register(["active-expression-rewriting"], function (_export, _context) {
  "use strict";

  var _setLocal, _aexpr, _getAndCallMember, _getLocal, _traceMember, _setMemberAddition, _getMember, _getGlobal, _setMember;

  return {
    setters: [function (_activeExpressionRewriting) {
      _setLocal = _activeExpressionRewriting.setLocal;
      _aexpr = _activeExpressionRewriting.aexpr;
      _getAndCallMember = _activeExpressionRewriting.getAndCallMember;
      _getLocal = _activeExpressionRewriting.getLocal;
      _traceMember = _activeExpressionRewriting.traceMember;
      _setMemberAddition = _activeExpressionRewriting.setMemberAddition;
      _getMember = _activeExpressionRewriting.getMember;
      _getGlobal = _activeExpressionRewriting.getGlobal;
      _setMember = _activeExpressionRewriting.setMember;
    }],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_components_halo_Connection_js = _recorder_._src_components_halo_Connection_js || {};
      let _scope = {},
          _scope30 = {};
      _setMember((self.__expressionAnalysisMode__ ? _getGlobal("window") : void 0, window), "allConnections", _getMember((self.__expressionAnalysisMode__ ? _getGlobal("window") : void 0, window), "allConnections") || new (self.__expressionAnalysisMode__ ? _getGlobal("Set") : void 0, Set)());

      class Connection {

        static nextId() {
          _setMember(this, "_currentId", _getMember(this, "_currentId") || 1);
          return _setMemberAddition(this, "_currentId", 1) - 1;
        }

        constructor(target, targetProperty, source, sourceProperty, isEvent) {
          let _scope2 = {};

          _setMember(this, "id", (self.__expressionAnalysisMode__ ? _traceMember(Connection, "nextId") : void 0, (self.__expressionAnalysisMode__ ? _getLocal(_scope, "Connection", Connection) : void 0, Connection).nextId()));
          _getAndCallMember(_getMember((self.__expressionAnalysisMode__ ? _getGlobal("window") : void 0, window), "allConnections"), "add", [this]);

          _setMember(this, "target", (self.__expressionAnalysisMode__ ? _getLocal(_scope2, "target", target) : void 0, target));
          _setMember(this, "_targetProperty", (self.__expressionAnalysisMode__ ? _getLocal(_scope2, "targetProperty", targetProperty) : void 0, targetProperty));
          _setMember(this, "source", (self.__expressionAnalysisMode__ ? _getLocal(_scope2, "source", source) : void 0, source));
          _setMember(this, "_sourceProperty", (self.__expressionAnalysisMode__ ? _getLocal(_scope2, "sourceProperty", sourceProperty) : void 0, sourceProperty));
          _setMember(this, "isEvent", (self.__expressionAnalysisMode__ ? _getLocal(_scope2, "isEvent", isEvent) : void 0, isEvent));
          _setMember(this, "isActive", false);
          _setMember(this, "_eventListener", evt => {
            let _scope3 = {};
            return self.__expressionAnalysisMode__ ? _traceMember(this, "connectionFunction") : void 0, this.connectionFunction((self.__expressionAnalysisMode__ ? _getLocal(_scope3, "evt", evt) : void 0, evt));
          });
          _setMember(this, "_targetProperty", (self.__expressionAnalysisMode__ ? _traceMember(this, "cleanProperty") : void 0, this.cleanProperty(_getMember(this, "_targetProperty"))));
          if (self.__expressionAnalysisMode__ ? _getLocal(_scope2, "isEvent", isEvent) : void 0, isEvent) {
            _setMember(this, "valueModifyingCode", `(target, event) => {
  target.${_getMember(this, "_targetProperty")} = 42;
}`);
            _setMember(this, "trackingCode", _getMember(this, "_sourceProperty"));
          } else {
            _setMember(this, "valueModifyingCode", `(target, sourceValue) => {
  target.${_getMember(this, "_targetProperty")} = sourceValue;
}`);
            _setMember(this, "_sourceProperty", (self.__expressionAnalysisMode__ ? _traceMember(this, "cleanProperty") : void 0, this.cleanProperty(_getMember(this, "_sourceProperty"))));
            _setMember(this, "trackingCode", `(source) => {
  return source.${_getMember(this, "_sourceProperty")};
}`);
          }

          _setMember(this, "label", 'Connection ' + _getMember(this, "id"));
          if (self.__expressionAnalysisMode__) _traceMember(this, "makeSavingScript");
          this.makeSavingScript();
        }

        cleanProperty(property) {
          let _scope4 = {};

          return _getAndCallMember(_getAndCallMember((self.__expressionAnalysisMode__ ? _traceMember(property, "split") : void 0, (self.__expressionAnalysisMode__ ? _getLocal(_scope4, "property", property) : void 0, property).split(".")), "map", [each => {
            let _scope5 = {};
            return self.__expressionAnalysisMode__ ? _traceMember(this, "camelCaseIfNeeded") : void 0, this.camelCaseIfNeeded((self.__expressionAnalysisMode__ ? _getLocal(_scope5, "each", each) : void 0, each));
          }]), "join", ["."]);
        }

        camelCaseIfNeeded(propertyPart) {
          let _scope6 = {};

          if (self.__expressionAnalysisMode__ ? _traceMember(propertyPart, "includes") : void 0, (self.__expressionAnalysisMode__ ? _getLocal(_scope6, "propertyPart", propertyPart) : void 0, propertyPart).includes('-')) {
            return self.__expressionAnalysisMode__ ? _traceMember(propertyPart, "camelCase") : void 0, (self.__expressionAnalysisMode__ ? _getLocal(_scope6, "propertyPart", propertyPart) : void 0, propertyPart).camelCase();
          } else {
            return self.__expressionAnalysisMode__ ? _getLocal(_scope6, "propertyPart", propertyPart) : void 0, propertyPart;
          }
        }

        makeSavingScript() {
          _setMember(this, "targetId", (self.__expressionAnalysisMode__ ? _traceMember(lively, "ensureID") : void 0, (self.__expressionAnalysisMode__ ? _getGlobal("lively") : void 0, lively).ensureID(_getMember(this, "target"))));
          _setMember(this, "sourceId", (self.__expressionAnalysisMode__ ? _traceMember(lively, "ensureID") : void 0, (self.__expressionAnalysisMode__ ? _getGlobal("lively") : void 0, lively).ensureID(_getMember(this, "source"))));
          if (self.__expressionAnalysisMode__) _traceMember(this, "saveSerializedConnectionIntoWidget");
          this.saveSerializedConnectionIntoWidget();
        }

        saveSerializedConnectionIntoWidget() {
          let _scope9 = {};

          const serializedConnections = _getAndCallMember(_getAndCallMember((self.__expressionAnalysisMode__ ? _traceMember(Array, "from") : void 0, (self.__expressionAnalysisMode__ ? _getGlobal("Array") : void 0, Array).from(_getMember((self.__expressionAnalysisMode__ ? _getGlobal("window") : void 0, window), "allConnections"))), "filter", [connection => {
            let _scope7 = {};
            return _getMember((self.__expressionAnalysisMode__ ? _getLocal(_scope7, "connection", connection) : void 0, connection), "source") === _getMember(this, "source");
          }]), "map", [connection => {
            let _scope8 = {};
            return self.__expressionAnalysisMode__ ? _traceMember(connection, "serialize") : void 0, (self.__expressionAnalysisMode__ ? _getLocal(_scope8, "connection", connection) : void 0, connection).serialize();
          }]);
          _getAndCallMember(_getMember(this, "source"), "setJSONAttribute", ['data-connection', (self.__expressionAnalysisMode__ ? _getLocal(_scope9, "serializedConnections", serializedConnections) : void 0, serializedConnections)]);
        }

        serialize() {
          return {
            sourceId: _getMember(this, "sourceId"),
            targetId: _getMember(this, "targetId"),
            trackingCode: _getMember(this, "trackingCode"),
            modifyingcode: _getMember(this, "valueModifyingCode"),
            label: _getMember(this, "label"),
            isEvent: _getMember(this, "isEvent")
          };
        }

        static deserialize(json) {
          let _scope10 = {};
          if (self.__expressionAnalysisMode__) _traceMember(json, "forEach");

          (self.__expressionAnalysisMode__ ? _getLocal(_scope10, "json", json) : void 0, json).forEach(connectionData => {
            let _scope11 = {};
            if (self.__expressionAnalysisMode__) _traceMember(this, "connectionFromExistingData");

            this.connectionFromExistingData(_getMember((self.__expressionAnalysisMode__ ? _getLocal(_scope11, "connectionData", connectionData) : void 0, connectionData), "targetId"), _getMember((self.__expressionAnalysisMode__ ? _getLocal(_scope11, "connectionData", connectionData) : void 0, connectionData), "modifyingcode"), _getMember((self.__expressionAnalysisMode__ ? _getLocal(_scope11, "connectionData", connectionData) : void 0, connectionData), "sourceId"), _getMember((self.__expressionAnalysisMode__ ? _getLocal(_scope11, "connectionData", connectionData) : void 0, connectionData), "trackingCode"), _getMember((self.__expressionAnalysisMode__ ? _getLocal(_scope11, "connectionData", connectionData) : void 0, connectionData), "label"), _getMember((self.__expressionAnalysisMode__ ? _getLocal(_scope11, "connectionData", connectionData) : void 0, connectionData), "isEvent"));
          });
        }

        static deserializeFromObjectIfNeeded(object) {
          let _scope12 = {};

          if (_getMember((self.__expressionAnalysisMode__ ? _getLocal(_scope12, "object", object) : void 0, object), "hasAttribute") && (self.__expressionAnalysisMode__ ? _traceMember(object, "hasAttribute") : void 0, (self.__expressionAnalysisMode__ ? _getLocal(_scope12, "object", object) : void 0, object).hasAttribute('data-connection'))) {
            if (self.__expressionAnalysisMode__) _traceMember(this, "deserialize");

            this.deserialize((self.__expressionAnalysisMode__ ? _traceMember(object, "getJSONAttribute") : void 0, (self.__expressionAnalysisMode__ ? _getLocal(_scope12, "object", object) : void 0, object).getJSONAttribute('data-connection')));
          }
        }

        static connectionFromExistingData(targetId, modifyingCode, sourceId, trackingCode, label, isEvent) {
          let _scope13 = {};

          const target = (self.__expressionAnalysisMode__ ? _traceMember(lively, "elementByID") : void 0, (self.__expressionAnalysisMode__ ? _getGlobal("lively") : void 0, lively).elementByID((self.__expressionAnalysisMode__ ? _getLocal(_scope13, "targetId", targetId) : void 0, targetId)));
          const source = (self.__expressionAnalysisMode__ ? _traceMember(lively, "elementByID") : void 0, (self.__expressionAnalysisMode__ ? _getGlobal("lively") : void 0, lively).elementByID((self.__expressionAnalysisMode__ ? _getLocal(_scope13, "sourceId", sourceId) : void 0, sourceId)));
          const undeadConnection = new (self.__expressionAnalysisMode__ ? _getLocal(_scope, "Connection", Connection) : void 0, Connection)((self.__expressionAnalysisMode__ ? _getLocal(_scope13, "target", target) : void 0, target), 'something', (self.__expressionAnalysisMode__ ? _getLocal(_scope13, "source", source) : void 0, source), 'something', (self.__expressionAnalysisMode__ ? _getLocal(_scope13, "isEvent", isEvent) : void 0, isEvent));
          if (self.__expressionAnalysisMode__) _traceMember(undeadConnection, "setModifyingCode");
          (self.__expressionAnalysisMode__ ? _getLocal(_scope13, "undeadConnection", undeadConnection) : void 0, undeadConnection).setModifyingCode((self.__expressionAnalysisMode__ ? _getLocal(_scope13, "modifyingCode", modifyingCode) : void 0, modifyingCode));
          if (self.__expressionAnalysisMode__) _traceMember(undeadConnection, "setTrackingCode");
          (self.__expressionAnalysisMode__ ? _getLocal(_scope13, "undeadConnection", undeadConnection) : void 0, undeadConnection).setTrackingCode((self.__expressionAnalysisMode__ ? _getLocal(_scope13, "trackingCode", trackingCode) : void 0, trackingCode));
          if (self.__expressionAnalysisMode__) _traceMember(undeadConnection, "setLabel");
          (self.__expressionAnalysisMode__ ? _getLocal(_scope13, "undeadConnection", undeadConnection) : void 0, undeadConnection).setLabel((self.__expressionAnalysisMode__ ? _getLocal(_scope13, "label", label) : void 0, label));
          if (self.__expressionAnalysisMode__) _traceMember(undeadConnection, "activate");
          (self.__expressionAnalysisMode__ ? _getLocal(_scope13, "undeadConnection", undeadConnection) : void 0, undeadConnection).activate();
        }

        activate() {

          if (_getMember(this, "isActive")) {
            if (self.__expressionAnalysisMode__) _traceMember(this, "deactivate");

            this.deactivate();
          }

          if (_getMember(this, "isEvent")) {
            if (self.__expressionAnalysisMode__) _traceMember(this, "activateEvent");

            this.activateEvent();
          } else {
            if (self.__expressionAnalysisMode__) _traceMember(this, "activateAexpr");

            this.activateAexpr();
          }
          _setMember(this, "isActive", true);
        }

        async activateEvent() {
          if (self.__expressionAnalysisMode__) _traceMember(lively, "notify");

          (self.__expressionAnalysisMode__ ? _getGlobal("lively") : void 0, lively).notify(_getMember(this, "trackingCode"));
          if (self.__expressionAnalysisMode__) _traceMember(lively, "addEventListener");
          (self.__expressionAnalysisMode__ ? _getGlobal("lively") : void 0, lively).addEventListener('Connections', _getMember(this, "source"), _getMember(this, "trackingCode"), _getMember(this, "_eventListener"));
        }

        async activateAexpr() {
          let _scope14 = {};

          let myFunction = await _getAndCallMember(_getMember(this, "trackingCode"), "boundEval", []);
          _setMember(this, "ae", _aexpr(() => {
            return (self.__expressionAnalysisMode__ ? _getLocal(_scope14, "myFunction", myFunction) : void 0, myFunction)(_getMember(this, "source"));
          }, {
            location: {
              file: 'https://lively-kernel.org/lively4/lively4-petrinet/src/components/halo/Connection.js',
              end: {
                column: 19,
                line: 123
              },
              start: {
                column: 14,
                line: 123
              },
              source: ''
            }
          }));
          _getAndCallMember(_getMember(this, "ae"), "onChange", [svalue => {
            let _scope15 = {};
            return self.__expressionAnalysisMode__ ? _traceMember(this, "connectionFunction") : void 0, this.connectionFunction((self.__expressionAnalysisMode__ ? _getLocal(_scope15, "svalue", svalue) : void 0, svalue));
          }]);
        }

        getTrackingCode() {
          return _getMember(this, "trackingCode");
        }

        setTrackingCode(string) {
          let _scope16 = {};

          const isActive = _getMember(this, "isActive");
          if (self.__expressionAnalysisMode__ ? _getLocal(_scope16, "isActive", isActive) : void 0, isActive) {
            if (self.__expressionAnalysisMode__) _traceMember(this, "deactivate");
            this.deactivate();
          }
          _setMember(this, "trackingCode", (self.__expressionAnalysisMode__ ? _getLocal(_scope16, "string", string) : void 0, string));
          if (self.__expressionAnalysisMode__) _traceMember(this, "saveSerializedConnectionIntoWidget");
          this.saveSerializedConnectionIntoWidget();
          if (self.__expressionAnalysisMode__ ? _getLocal(_scope16, "isActive", isActive) : void 0, isActive) {
            if (self.__expressionAnalysisMode__) _traceMember(this, "activate");
            this.activate();
          }
        }

        async connectionFunction(sourceValue) {
          let _scope17 = {};

          let myFunction = await _getAndCallMember(_getMember(this, "valueModifyingCode"), "boundEval", []);
          (self.__expressionAnalysisMode__ ? _getLocal(_scope17, "myFunction", myFunction) : void 0, myFunction)(_getMember(this, "target"), (self.__expressionAnalysisMode__ ? _getLocal(_scope17, "sourceValue", sourceValue) : void 0, sourceValue));
        }

        drawConnectionLine() {
          let _scope18 = {};

          let line = [(self.__expressionAnalysisMode__ ? _traceMember(lively, "getGlobalCenter") : void 0, (self.__expressionAnalysisMode__ ? _getGlobal("lively") : void 0, lively).getGlobalCenter(_getMember(this, "source"))), (self.__expressionAnalysisMode__ ? _traceMember(lively, "getGlobalCenter") : void 0, (self.__expressionAnalysisMode__ ? _getGlobal("lively") : void 0, lively).getGlobalCenter(_getMember(this, "target")))];
          if (self.__expressionAnalysisMode__) _traceMember(lively, "showPath");
          (self.__expressionAnalysisMode__ ? _getGlobal("lively") : void 0, lively).showPath((self.__expressionAnalysisMode__ ? _getLocal(_scope18, "line", line) : void 0, line), "rgba(80,180,80,1)", true);
        }

        setActive(shouldBeActive) {
          let _scope19 = {};

          if (self.__expressionAnalysisMode__ ? _getLocal(_scope19, "shouldBeActive", shouldBeActive) : void 0, shouldBeActive) {
            if (self.__expressionAnalysisMode__) _traceMember(this, "activate");

            this.activate();
          } else {
            if (self.__expressionAnalysisMode__) _traceMember(this, "deactivate");

            this.deactivate();
          }
        }

        toggleDirection() {
          let _scope20 = {};
          if (self.__expressionAnalysisMode__) _traceMember(this, "deactivate");

          this.deactivate();
          let oldTarget = _getMember(this, "target");
          _setMember(this, "target", _getMember(this, "source"));
          _setMember(this, "source", (self.__expressionAnalysisMode__ ? _getLocal(_scope20, "oldTarget", oldTarget) : void 0, oldTarget));
          if (self.__expressionAnalysisMode__) _traceMember(this, "saveSerializedConnectionIntoWidget");
          this.saveSerializedConnectionIntoWidget();
          if (self.__expressionAnalysisMode__) _traceMember(this, "activate");
          this.activate();
        }

        copyAndActivate() {
          let _scope21 = {};

          let newConnection = new (self.__expressionAnalysisMode__ ? _getLocal(_scope, "Connection", Connection) : void 0, Connection)(_getMember(this, "target"), _getMember(this, "_targetProperty"), _getMember(this, "source"), _getMember(this, "sourceProperty"), _getMember(this, "isEvent"));
          if (self.__expressionAnalysisMode__) _traceMember(newConnection, "setModifyingCode");
          (self.__expressionAnalysisMode__ ? _getLocal(_scope21, "newConnection", newConnection) : void 0, newConnection).setModifyingCode(_getMember(this, "valueModifyingCode"));
          if (self.__expressionAnalysisMode__) _traceMember(newConnection, "activate");
          (self.__expressionAnalysisMode__ ? _getLocal(_scope21, "newConnection", newConnection) : void 0, newConnection).activate();
          return self.__expressionAnalysisMode__ ? _getLocal(_scope21, "newConnection", newConnection) : void 0, newConnection;
        }

        deactivate() {
          _getMember(this, "ae") && _getAndCallMember(_getMember(this, "ae"), "dispose", []);
          if (_getMember(this, "isEvent")) {
            if (self.__expressionAnalysisMode__) _traceMember(lively, "removeEventListener");

            (self.__expressionAnalysisMode__ ? _getGlobal("lively") : void 0, lively).removeEventListener('Connections', _getMember(this, "source"), _getMember(this, "trackingCode"), _getMember(this, "_eventListener"));
          }
          _setMember(this, "isActive", false);
        }

        destroy() {
          if (self.__expressionAnalysisMode__) _traceMember(this, "deactivate");

          this.deactivate();
          _getAndCallMember(_getMember((self.__expressionAnalysisMode__ ? _getGlobal("window") : void 0, window), "allConnections"), "delete", [this]);
        }

        getSource() {
          return _getMember(this, "source");
        }

        setSource(object) {
          let _scope22 = {};

          _setMember(this, "source", (self.__expressionAnalysisMode__ ? _getLocal(_scope22, "object", object) : void 0, object));
        }

        getSourceId() {
          return _getMember(this, "sourceId");
        }

        getTarget() {
          return _getMember(this, "target");
        }

        setTarget(object) {
          let _scope23 = {};

          _setMember(this, "target", (self.__expressionAnalysisMode__ ? _getLocal(_scope23, "object", object) : void 0, object));
        }

        getTargetId() {
          return _getMember(this, "targetId");
        }

        getAexpr() {
          return _getMember(this, "ae");
        }

        getSourceProperty() {
          return _getMember(this, "sourceProperty");
        }

        setSourceProperty(newProperty) {
          let _scope24 = {};

          _setMember(this, "sourceProperty", (self.__expressionAnalysisMode__ ? _getLocal(_scope24, "newProperty", newProperty) : void 0, newProperty));
          if (self.__expressionAnalysisMode__) _traceMember(this, "saveSerializedConnectionIntoWidget");
          this.saveSerializedConnectionIntoWidget();
          if (self.__expressionAnalysisMode__) _traceMember(this, "activate");
          this.activate();
        }

        getModifyingCode() {
          return _getMember(this, "valueModifyingCode");
        }

        setModifyingCode(string) {
          let _scope25 = {};

          _setMember(this, "valueModifyingCode", (self.__expressionAnalysisMode__ ? _getLocal(_scope25, "string", string) : void 0, string));
          if (self.__expressionAnalysisMode__) _traceMember(this, "saveSerializedConnectionIntoWidget");
          this.saveSerializedConnectionIntoWidget();
        }

        static get allConnections() {
          return _getMember((self.__expressionAnalysisMode__ ? _getGlobal("window") : void 0, window), "allConnections");
        }

        static allConnectionsFor(object) {
          let _scope26 = {};

          let connections = [];
          if (_getMember((self.__expressionAnalysisMode__ ? _getLocal(_scope26, "object", object) : void 0, object), "hasAttribute") && (self.__expressionAnalysisMode__ ? _traceMember(object, "hasAttribute") : void 0, (self.__expressionAnalysisMode__ ? _getLocal(_scope26, "object", object) : void 0, object).hasAttribute('data-lively-id'))) {
            let _scope28 = {};

            let objectId = (self.__expressionAnalysisMode__ ? _traceMember(object, "getAttribute") : void 0, (self.__expressionAnalysisMode__ ? _getLocal(_scope26, "object", object) : void 0, object).getAttribute('data-lively-id'));
            _getAndCallMember(_getMember(this, "allConnections"), "forEach", [connection => {
              let _scope27 = {};

              if (_getMember((self.__expressionAnalysisMode__ ? _getLocal(_scope27, "connection", connection) : void 0, connection), "targetId") == (self.__expressionAnalysisMode__ ? _getLocal(_scope28, "objectId", objectId) : void 0, objectId) || _getMember((self.__expressionAnalysisMode__ ? _getLocal(_scope27, "connection", connection) : void 0, connection), "sourceId") == (self.__expressionAnalysisMode__ ? _getLocal(_scope28, "objectId", objectId) : void 0, objectId)) {
                if (self.__expressionAnalysisMode__) _traceMember(connections, "push");
                (self.__expressionAnalysisMode__ ? _getLocal(_scope26, "connections", connections) : void 0, connections).push((self.__expressionAnalysisMode__ ? _getLocal(_scope27, "connection", connection) : void 0, connection));
              }
            }]);
          }
          return self.__expressionAnalysisMode__ ? _getLocal(_scope26, "connections", connections) : void 0, connections;
        }

        getLabel() {
          return _getMember(this, "label");
        }

        setLabel(string) {
          let _scope29 = {};

          _setMember(this, "label", (self.__expressionAnalysisMode__ ? _getLocal(_scope29, "string", string) : void 0, string));
        }

      }

      _export("default", Connection);

      if (self.__expressionAnalysisMode__) _traceMember(Object, "defineProperty");
      Object.defineProperty(_getMember((self.__expressionAnalysisMode__ ? _getGlobal("_recorder_") : void 0, _recorder_), "_src_components_halo_Connection_js"), "Connection", {
        get() {
          return self.__expressionAnalysisMode__ ? _getLocal(_scope30, "Connection", Connection) : void 0, Connection;
        },

        set(thisIsVererySecretVariableName) {
          let _scope31 = {};
          _export("default", Connection = (self.__expressionAnalysisMode__ ? _getLocal(_scope31, "thisIsVererySecretVariableName", thisIsVererySecretVariableName) : void 0, thisIsVererySecretVariableName)), true ? _setLocal(_scope30, "Connection", Connection) : void 0, Connection;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      _getAndCallMember(_getMember((self.__expressionAnalysisMode__ ? _getGlobal("window") : void 0, window), "allConnections"), "forEach", [connection => {
        let _scope32 = {};
        return self.__expressionAnalysisMode__ ? _traceMember(connection, "migrateTo") : void 0, (self.__expressionAnalysisMode__ ? _getLocal(_scope32, "connection", connection) : void 0, connection).migrateTo((self.__expressionAnalysisMode__ ? _getLocal(_scope30, "Connection", Connection) : void 0, Connection));
      }]);
    }
  };
});